<template>
        <section class="content">
          <!-- <Toast style="margin-top: 35px" :closable="false"/> -->

          <!-- <Button class="btn btn-success" @click="openDialog">click me</Button>
          <TestList v-model="dialogShow" @deleted="deleted"/>
          <Button class="btn btn-danger" @click="showmessage" >Click</Button>
          <div id="overlay"  v-if="loading">
          <div class="spinner"></div>
          <br/>
            <h4>Loading...</h4>
         </div> -->
   <!-- <input  type="text" class="nepali-calendar" id="nepali-datepicker" v-model="data1" />
   <input  type="text" class="nepali-calendar" id="nepali1" v-model="data2" /> -->
   <Button label="Bottom Right" class="p-button-success" :closable=false @click="showmessage" />
   </section>
<!--   {{data1}}-->
<!--   {{data2}}-->

</template>
<script>
import TestList from './testList'
// import Toast from 'primevue/toast'
import Button from 'primevue/button'
// import $ from 'jquery'
export default {
  data() {
    return {
      dialogShow: false,
      loading: false,
      disply: '',
      data1: '',
      data2: '',
      messages: []
    }
  },
  mounted() {
    // this.nepali()
  },
  computed: {
  },
  methods: {
    openDialog() {
      this.dialogShow = !this.dialogShow
    },
    deleted(value) {
      console.log(value)
    },
    showmessage() {
      // this.loading = true
      //  this.setInter()
      // this.disply = 'disply'
      this.$toast.add({severity: 'success', summary: '', detail: 'Order submitted', life: 3000})
    },
    setInter() {
      setTimeout(() => {
        this.loading = false
      }, 1500)
    }
    // },
    // nepali() {
    //   $('#nepali-datepicker').nepaliDatePicker({
    //     onChange: () => {
    //       this.data1 = $('#nepali-datepicker').val()
    //     }
    //   })
    //   $('#nepali1').nepaliDatePicker({
    //     onChange: () => {
    //       this.data2 = $('#nepali1').val()
    //     }
    //   })
    // }
  },
  components: {
    TestList,
    // Toast,
    Button
  }
}
</script>
<style  scoped>
#overlay {
  background: #ffffff;;
  color: #3c8dbc;
  position: fixed;
  height: 100%;
  width: 100%;
  z-index: 5000;
  top: 0;
  left: 0;
  float: left;
  text-align: center;
  padding-top: 25%;
  opacity: .80;
}
.spinner {
    margin: 0 auto;
    height: 64px;
    width: 64px;
    animation: rotate 0.8s infinite linear;
    border: 5px solid #3c8dbc;
    border-right-color: transparent;
    border-radius: 50%;
}
@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
.disply {
  display: none;
}
</style>
